<?php

require "aps/2/runtime.php";

/**
 * Class cloud presents application and its global parameters
 * @type("http://aps-standard.org/samples/sample-dns/cloud/1.0")
 * @implements("http://aps-standard.org/types/core/application/1.0","http://odin.com/init-wizard/config/1.0")
 */
class cloud extends APS\ResourceBase {
# Link to collection of contexts. Pay attention to [] brackets at the end of the @link line.
	/**
	 * @link("http://aps-standard.org/samples/sample-dns/context/1.0[]")
	 */
	public $contexts;

# Global connection settings will be configured by the provider
# Must be forwarded to the app end-point to set the connection with the external system
	/**
        * @type(string)
        * @title("apphost")
        * @description("Cloud management server IP or domain name")
        */
        public $apphost;
        
        /**
        * @type(string)
        * @title("Cloud Admin")
        * @description("Cloud administrator")
        */
        public $cloudadmin;

        /**
        * @type(string)
        * @title("Cloud Password")
        * @description("Cloud administrator password")
        * @encrypted
        */
        public $cloudpass;

        /**
         * @verb(GET)
         * @path("/getInitWizardConfig")
         * @access(admin, true)
         * @access(owner, true)
         * @access(referrer, true)
         */
        public function getInitWizardConfig() {
        	$myfile = fopen("./wizard_data.json", "r") or die("Unable to open file!");
        	$data = fread($myfile,filesize("./wizard_data.json"));
        	fclose($myfile);
        	return json_decode($data);
        }
        
        /**
         * @verb(GET)
         * @path("/testConnection")
         * @param(object,body)
         * @access(admin, true)
         * @access(owner, true)
         * @access(referrer, true)
         */
        public function testConnection($body)
        {
        	return "";
        }
        
        /**
         * @verb(POST)
         * @path("/validateInitWizardData")
         * @param(object,body)
         * @access(admin, true)
         * @access(owner, true)
         * @access(referrer, true)
         */
        public function validateInitWizardData($body)
        {
        	return "";
        }
        
}
